=== modified file 'about.py'
--- about.py	2007-07-23 12:03:29 +0000
+++ about.py	2008-01-27 01:13:38 +0000
@@ -28,10 +28,10 @@
 class AboutDialog(gtk.AboutDialog):
     def __init__(self):
         super(AboutDialog, self).__init__()
-        self.set_name("Bazaar")
-        self.set_version(bzrlib.version_string)
-        self.set_website("http://bazaar-vcs.org/")
-        self.set_license("GNU GPLv2")
+        self.set_name("Bazaar GTK")
+        self.set_version(bzrlib.plugins.gtk.version_string)
+        self.set_website("http://bazaar-vcs.org/BzrGtk")
+        self.set_license("GNU GPL v2")
         self.set_icon(gtk.gdk.pixbuf_new_from_file(os.path.join(data_path(), "bzr-icon-64.png")))
         self.connect ("response", lambda d, r: d.destroy())
 

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2008-01-23 16:30:21 +0000
+++ viz/branchwin.py	2008-01-28 13:15:46 +0000
@@ -199,12 +199,22 @@
         branch_menu.add(gtk.MenuItem("Pu_ll Revisions"))
         branch_menu.add(gtk.MenuItem("Pu_sh Revisions"))
 
+        help_menu = gtk.Menu()
+        help_menuitem = gtk.MenuItem("_Help")
+        help_menuitem.set_submenu(help_menu)
+
+        help_about_menuitem = gtk.ImageMenuItem(gtk.STOCK_ABOUT, self.accel_group)
+        help_about_menuitem.connect('activate', self._about_dialog_cb)
+
+        help_menu.add(help_about_menuitem)
+
         menubar.add(file_menuitem)
         menubar.add(edit_menuitem)
         menubar.add(view_menuitem)
         menubar.add(go_menuitem)
         menubar.add(revision_menuitem)
         menubar.add(branch_menuitem)
+        menubar.add(help_menuitem)
         menubar.show_all()
 
         return menubar
@@ -390,6 +400,11 @@
         finally:
             self.treeview.set_sensitive(True)
 
+    def _about_dialog_cb(self, w):
+        from bzrlib.plugins.gtk.about import AboutDialog
+
+        AboutDialog().run()
+
     def _col_visibility_changed(self, col, property):
         self.config.set_user_option(property + '-column-visible', col.get_active())
         self.treeview.set_property(property + '-column-visible', col.get_active())

